aboutsummaryrefslogtreecommitdiff
path: root/tools/np_build_from_sf
diff options
context:
space:
mode:
Diffstat (limited to 'tools/np_build_from_sf')
-rwxr-xr-xtools/np_build_from_sf11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools/np_build_from_sf b/tools/np_build_from_sf
new file mode 100755
index 00000000..7ba349a6
--- /dev/null
+++ b/tools/np_build_from_sf
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -xeu
+
+temp=$(mktemp -d)
+trap "cd $HOME; rm -rf $temp; exit 1" EXIT
+curl -sS http://nagiosplug.sourceforge.net/snapshot/nagios-plugins-HEAD.tar.gz|tar -C "$temp" --strip-components=1 -xzf -
+cd $temp
+./configure && make
+$HOME/bin/update_man_pages
+